Transaction Details
GET/rest/transactions/{transaction_id}
/rest/transactions/{transaction_id}Responds with a single transaction. Simply append the transaction_id to the /rest/transactions/ endpoint.
Query Parameters
transaction_idStringrequiredID of the transaction to retrieve. Appended to the URL path
Example Request
GET /rest/transactions/07c8b0a4-186f-4b56-a929-17d13b29c695
Transaction Details Response
Response parameters are identical to those returned from the Transaction List endpoint.
transaction_idStringID of the transaction
created_atStringTimestamp when the transaction was created (
ISO-8601)updated_atStringTimestamp when the transaction was last updated (
ISO-8601)status_codeIntegerStatus code of the transaction
statusStringStatus name of the transaction
amountFloatTransaction amount
currencyStringCurrency code of the transaction
order_idStringMerchant's order ID
recurringIntegerWhether the transaction is recurring
sepa_mandateStringSEPA mandate reference, if applicable
parent_idStringID of the parent transaction, if applicable
payment_methodStringPayment method used for the transaction
messageStringMessage from the payment processor
sepa_msg_idStringSEPA message ID, if applicable
captured_amountFloatCaptured amount, if applicable
additional_transaction_dataStringAdditional data provided by you during payment creation
Example Response
{
"transaction_id": "07c8b0a4-186f-4b56-a929-17d13b29c695",
"created_at": "2016-10-26T16:03:06.394+02:00",
"updated_at": "2016-10-26T16:03:06.416+02:00",
"status_code": 3,
"status": "completed",
"amount": 10.0,
"currency": "EUR",
"order_id": null,
"recurring": 0,
"sepa_mandate": null,
"parent_id": null,
"payment_method": "cardecom",
"message": null,
"sepa_msg_id": null,
"captured_amount": null,
"additional_transaction_data": null
}